from typing import Protocol

from PIL import Image


class DisplayInterface(Protocol):
    def show(self, image: Image.Image) -> None: ...


class NullDisplay:
    def show(self, image: Image.Image) -> None:
        pass
